KDE 4.6 PyKDE API Reference

- KDE's Python API

# AbstractProjection Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

A base class for all projections in Marble.

## Enumerations

PreservationType | { NoPreservation, Conformal, EqualArea }
SurfaceType | { Cylindrical, Pseudocylindrical, Hybrid, Conical, Pseudoconical, Azimuthal }

## Methods

| __init__ (self)
bool | exceedsLatitudeRange (self, Marble.GeoDataCoordinates coords)
bool | exceedsLatitudeRange (self, Marble.GeoDataLineString lineString)
bool | geoCoordinates (self, int x, int y, Marble.ViewportParams viewport, float lon, float lat, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Degree)
| horizonToPolygon (self, Marble.ViewportParams viewport, Marble.GeoDataCoordinates disappearCoords, Marble.GeoDataCoordinates reappearCoords, QPolygonF a3)
bool | isOrientedNormal (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self, QRect screenRect, Marble.ViewportParams viewport)
bool | mapCoversViewport (self, Marble.ViewportParams viewport)
QRegion | mapRegion (self, Marble.ViewportParams viewport)
QPainterPath | mapShape (self, Marble.ViewportParams viewport)
float | maxLat (self)
float | maxValidLat (self)
float | minLat (self)
float | minValidLat (self)
Marble.AbstractProjection.PreservationType | preservationType (self)
bool | repeatX (self)
bool | repeatableX (self)
bool | screenCoordinates (self, float lon, float lat, Marble.ViewportParams viewport, float x, float y)
bool | screenCoordinates (self, Marble.GeoDataCoordinates geopoint, Marble.ViewportParams viewport, float x, float y, bool globeHidesPoint)
bool | screenCoordinates (self, Marble.GeoDataCoordinates geopoint, Marble.ViewportParams viewport, QPointF screenpoint)
bool | screenCoordinates (self, Marble.GeoDataCoordinates coordinates, Marble.ViewportParams viewport, float x, float y, int pointRepeatNum, QSizeF size, bool globeHidesPoint)
| setMaxLat (self, float maxLat)
| setMinLat (self, float minLat)
| setRepeatX (self, bool repeatX)
Marble.AbstractProjection.SurfaceType | surfaceType (self)
| tessellateLineSegment (self, Marble.GeoDataCoordinates aCoords, float ax, float ay, Marble.GeoDataCoordinates bCoords, float bx, float by, QPolygonF polygon, Marble.ViewportParams viewport, Marble.TessellationFlags f=0)
bool | traversableDateLine (self)
bool | traversablePoles (self)

## Method Documentation

__init__ | ( |  | self ) |

Construct a new AbstractProjection.

bool exceedsLatitudeRange | ( | self, |
|  | Marble.GeoDataCoordinates | coords
| ) |  |  |

bool exceedsLatitudeRange | ( | self, |
|  | Marble.GeoDataLineString | lineString
| ) |  |  |

bool geoCoordinates | ( | self, |
|  | int | x,
|  | int | y,
|  | Marble.ViewportParams | viewport,
|  | float | lon,
|  | float | lat,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Degree
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Get the earth coordinates corresponding to a pixel in the map.

Parameters:

  | x | the x coordinate of the pixel
  | y | the y coordinate of the pixel
  | viewport | the viewport parameters
  | lon | the longitude angle is returned through this parameter
  | lat | the latitude angle is returned through this parameter
  | unit | the unit of the angles for lon and lat.

Returns:
  true if the pixel (x, y) is within the globe

false if the pixel (x, y) is outside the globe, i.e. in space.

horizonToPolygon | ( | self, |
|  | Marble.ViewportParams | viewport,
|  | Marble.GeoDataCoordinates | disappearCoords,
|  | Marble.GeoDataCoordinates | reappearCoords,
|  | QPolygonF | a3
| ) |  |  |

bool isOrientedNormal | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( | self, |
|  | QRect | screenRect,
|  | Marble.ViewportParams | viewport
| ) |  |  |

bool mapCoversViewport | ( | self, |
|  | Marble.ViewportParams | viewport
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QRegion mapRegion | ( | self, |
|  | Marble.ViewportParams | viewport
| ) |  |  |

QPainterPath mapShape | ( | self, |
|  | Marble.ViewportParams | viewport
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float maxLat | ( |  | self ) |

float maxValidLat | ( |  | self ) |

float minLat | ( |  | self ) |

float minValidLat | ( |  | self ) |

Marble.AbstractProjection.PreservationType preservationType | ( |  | self ) |

bool repeatX | ( |  | self ) |

bool repeatableX | ( |  | self ) |

bool screenCoordinates | ( | self, |
|  | float | lon,
|  | float | lat,
|  | Marble.ViewportParams | viewport,
|  | float | x,
|  | float | y
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Deprecated:
  use
  See also:
    screenCoordinates(qreal,qreal,const ViewportParams*,qreal&,qreal&)

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | geopoint,
|  | Marble.ViewportParams | viewport,
|  | float | x,
|  | float | y,
|  | bool | globeHidesPoint
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Deprecated:
  use
  See also:
    screenCoordinates(qreal,qreal,const ViewportParams*,qreal&,qreal&)

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | geopoint,
|  | Marble.ViewportParams | viewport,
|  | QPointF | screenpoint
| ) |  |  |

Deprecated:
  use
  See also:
    screenCoordinates(qreal,qreal,const ViewportParams*,qreal&,qreal&)

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates,
|  | Marble.ViewportParams | viewport,
|  | float | x,
|  | float | y,
|  | int | pointRepeatNum,
|  | QSizeF | size,
|  | bool | globeHidesPoint
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Deprecated:
  use
  See also:
    screenCoordinates(qreal,qreal,const ViewportParams*,qreal&,qreal&)

setMaxLat | ( | self, |
|  | float | maxLat
| ) |  |  |

setMinLat | ( | self, |
|  | float | minLat
| ) |  |  |

setRepeatX | ( | self, |
|  | bool | repeatX
| ) |  |  |

Marble.AbstractProjection.SurfaceType surfaceType | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

tessellateLineSegment | ( | self, |
|  | Marble.GeoDataCoordinates | aCoords,
|  | float | ax,
|  | float | ay,
|  | Marble.GeoDataCoordinates | bCoords,
|  | float | bx,
|  | float | by,
|  | QPolygonF | polygon,
|  | Marble.ViewportParams | viewport,
|  | Marble.TessellationFlags | f=0
| ) |  |  |

bool traversableDateLine | ( |  | self ) |

bool traversablePoles | ( |  | self ) |

## Enumeration Documentation

PreservationType

Enumerator:

  NoPreservation |
  Conformal |
  EqualArea |

SurfaceType

Enumerator:

  Cylindrical |
  Pseudocylindrical |
  Hybrid |
  Conical |
  Pseudoconical |
  Azimuthal |